Subject: Re: Urgent

From: Peggy Street <[email-masked]>
Date: 07 Nov 2024 15:18:40 +0000

Greetings mentor-communication-ab,

The name is Peggy Street from Canada and I hope my message meets you in great condition. I was born deaf and have been suffering from a long time illness which I feel has not give me the might to fulfil my heart desires for the less privileged which I so much cared for during my good healthy days.

My dear I write you this email to seek for your email help in receiving sum of my funds which was deposited in a security company in Spain by my late husband, this funds I want you to distribute to motherless baby homes, widows, orphanage homes etc.

If you will be willing to do this on my behalf as a trustworthy Christian please reply me for more details, when I get your response I will give you the contact of the security company so that you can contact them via email for the release of the funds to you will tell you the amount when I get your response.

Thanks
Peggy Street